Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.management
Interface WorklistAdminMBean

    public interface WorklistAdminMBean

Provides cross-Worklist system facilities. There is only one of these MBeans per WebLogic domain.

Method Summary
`String[]` | `getGlobalTaskPlanPolicy(String operation)` Get the global policy for *all* task plans that don’t specify their own explicit policy for the given operation type.
`String[]` | `getGlobalWorklistSystemPolicy(String operation)` Get the global policy for *all* Worklist system instances that don’t specify their own explicit policy for the given operation type.
`void` | `setGlobalTaskPlanPolicy(String operation, String[] roles)` Set the global policy for *all* task plans that don’t specify their own explicit policy for the given operation type.
`void` | `setGlobalWorklistSystemPolicy(String operation, String[] roles)` Set the global policy for *all* Worklist system instances that don’t specify their own explicit policy for the given operation type.

Method Detail

### setGlobalWorklistSystemPolicy

    void setGlobalWorklistSystemPolicy(String operation,
                                       String[] roles)
                                       throws ManagementException

  Set the global policy for *all* Worklist system instances that don’t specify their own explicit policy for the given operation type. Note, this method has the same effect regardless of what WorklistSystem instance is used, or what Worklist system instance it comes from.

  To call this method, you must be granted one of the roles listed for the global Worklist System Admin policy (by default this is the Admin or IntegrationAdmin roles). If an unauthorized user attempts this call, a SecurityException will be thrown.

  NOTE: This method will only work when you are using the WLS default authorization provider. If you are using a third-party provider, you must use that provider's tools for assigning the policy to the task plan.

  Parameters:
    `operation` - The String value of an enum value as defined in WorklistSystem.OPERATION.
  Throws:
    `ManagementException`
  See Also:
    `WorklistSystem.OPERATION`

### getGlobalWorklistSystemPolicy

    String[] getGlobalWorklistSystemPolicy(String operation)
                                           throws ManagementException

  Get the global policy for *all* Worklist system instances that don’t specify their own explicit policy for the given operation type. Note, this method returns the same value regardless of what WorklistSystem instance is used, or what Worklist system instance it comes from.

  To call this method, you must be granted one of the roles listed for the global Worklist System Admin policy (by default this is the Admin or IntegrationAdmin roles), Query policy (by default this is the everyone group), or Update policy (by default this is Admin, or IntegrationAdmin roles). If an unauthorized user attempts this call, a SecurityException will be thrown.

  NOTE: This method will only work when you are using the WLS default authorization provider. If you are using a third-party provider, you must use that provider's tools for assigning the policy to the task plan.

  Parameters:
    `operation` - The String value of an enum value as defined in WorklistSystem.OPERATION.
  Throws:
    `ManagementException`
  See Also:
    `WorklistSystem.OPERATION`

### setGlobalTaskPlanPolicy

    void setGlobalTaskPlanPolicy(String operation,
                                 String[] roles)
                                 throws ManagementException

  Set the global policy for *all* task plans that don’t specify their own explicit policy for the given operation type.

  To call this method, you must be granted one of the roles listed for the global TaskPlan Admin policy (by default this is the Admin and IntegrationAdmin roles). If an unauthorized user attempts this call, a SecurityException will be thrown.

  NOTE: This method will only work when you are using the WLS default authorization provider. If you are using a third-party provider, you must use that provider's tools for assigning the policy to the task plan.

  Parameters:
    `operation` - The String value of an enum value as defined in WorklistTaskAdmin.OPERATION.
  Throws:
    `ManagementException`
  See Also:
    `WorklistTaskAdmin.OPERATION`

### getGlobalTaskPlanPolicy

    String[] getGlobalTaskPlanPolicy(String operation)
                                     throws ManagementException

  Get the global policy for *all* task plans that don’t specify their own explicit policy for the given operation type.

  To call this method, you must be granted one of the roles listed for the global TaskPlan Admin policy (by default this is the Admin and IntegrationAdmin roles), Query policy (by default this is the Admin, IntegrationAdmin, and IntegrationUser roles), or Update policy (by default this is the Admin and IntegrationAdmin roles). If an unauthorized user attempts this call, a ManagementException will be thrown.

  NOTE: This method will only work when you are using the WLS default authorization provider. If you are using a third-party provider, you must use that provider's tools for assigning the policy to the task plan.

  Parameters:
    `operation` - The String value of an enum value as defined in WorklistTaskAdmin.OPERATION.
  Throws:
    `ManagementException`
  See Also:
    `WorklistTaskAdmin.OPERATION`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD